Учебники (How-To & F.A.Q)
   49860

Типовые проблемы Manjaro Linux для новичков (обновляемая статья)

Уважаемые новички Manjaro Linux, если вы решили впервые начать использование Manjaro Linux и не знаете с чего начать, а тратить своё архидрагоценное время на «бесполезное» чтение Wiki и форумов, нет ни времени ни желания, то эта статья для вас.

Учебники (How-To & F.A.Q): Типовые проблемы Manjaro Linux для новичков (обновляемая статья)

Для начала, попробуем ответить на наиболее частые общие вопросы о системе.

1. Mаnjaro — это Arch?
Манжаро основан на Арч. Они весьма похожи друг на друга.

2. Mаnjaro — это Arch + графическая инсталляция?
Верно, Manjaro Linux имеет довольно удобный графический установщик(на данном этапе их два Thus и Calamares), но Manjaro уже не Archlinux, так как имеет свои ядра, свои репозитории, свои отличные от Archlinux пакеты в репозиториях и свои утилиты конфигурации, которые изрядно облегчают установку ядер и драйверов.

В Арчлинуксе есть стабильные репозитории и testing репозитории, во вторых как понятно из названия, пакеты тестируются и если багов нет, то переносятся в стабильный. Из стабильной ветки основное число пакетов берется и переносится в Manjaro unstable ветку репозиториев, в которой пакеты тестируются и в случае отсутствия багов переносятся в testing репозитории Манжаро, откуда после недолгой обкатки переносятся в stable версию Manjaro репозиториев. Тоесть стабильные пакеты в арче, считаются еще нестабильными пакетами в манжаро и подлежат дополнительной обкатке и проверке.

3. Можно использовать репозитории Арча?
Официальные репозитории- нет. Но репозитормй AUR- можно.

4. Зачем использовать Mаnjaro, когда есть Arch?
Не видите для чего вам Manjaro Linux, используйте Arch.

Какой вариант Mаnjaro использовать?

Новичкам в линукс рекомендуется стабильная ветка Манжаро, вариант c XFCE или KDE. Этим вариантам разработчики Mаnjaro уделяют особое внимание. XFCE проще, KDE богаче, оба красивые. Естественно, качайте последний релиз. Ссылка на скачку здесь или в главном меню сайта.

Чем писать образ на флешку?

Итак начнём с самого начала, предположим, что вы скачали образ Manjaro Linux и не знаете чем записать образ на флешку, априори считаю, что вы находитесь в Windows, посему рекомендую пользоваться rufus, ultra iso или win32 image writer.

Если вы используете Linux то воспользуйтесь — isousb, imagewriter, multisystem, dd.

С чего начать установку?

Вот вы записали образ, загрузились с флешки, вне зависимости от вашего выбора установщика Thus или Calamares(не думаю, что те кто выбрал CLI установщик нуждаются в подсказках) рекомендую выбирать в первом случае язык системы русский, а вот раскладку выбирать по умолчанию USA english default, таким образом будет исключена проблема с вводом пароля(есть такой старый линуксовый баг, встречаемый во многих linux установщиках).

Как разбить диск?

На этапе разметки диска, если у вас EFI то обязательно создайте раздел размером, примерно 100 мегабайт(если у вас будет одна система, если будет ещё винда в дуал буте, то сделайте примерно 200 метров на всякий случай) с файловой системой fat32, размечаем его в /boot/EFI, так же обязателен раздел / размером от 15 до 50 Гигабайт на ваше усмотрение и аппетиты. Необходимость лично для вас раздела /home можете поискать «в этих ваших интернетах», так глубоко углубляться в это углубление я не буду.

Если у вас BIOS, то обязателен лишь раздел / (он же root, он же корень), так же от 15 до 50 Гигабайт на ваше усмотрение и аппетиты, с необходимостью лично вам других разделов, так же разберитесь самостоятельно.

Рассмотрим частые проблемы

И вот пред ваши ясны очи предстала впервые загруженная ОС Manjaro Linux, радости вашей и восторга а у некоторых уже на этом этапе трещат пуканы нет предела. И первое, что делает любой уважающий себя пользователь Manjaro это конечно же открывает эмулятор терминала и выполняет в нём команду на сортировку зеркал серверов по их скорости.
sudo pacman-mirrors -g

После чего выполняем полный апдейт системы:
sudo pacman -Syyuu

На данном этапе нередко случается ошибка вида:
:: Synchronizing package databases…
error: failed to update core (unable to lock database)
error: failed to update extra (unable to lock database)
error: failed to update community (unable to lock database)
error: failed to update multilib (unable to lock database)
error: failed to synchronize any databases
error: failed to init transaction (unable to lock database)
error: could not lock database: File exists
if you're sure a package manager is not already
running, you can remove /var/lib/pacman/db.lck
Ошибка появляется не потому что «Манжаро УГ», а из-за того, что пакетный менеджер pacman в данный момент работает или завершился некорректно, и потому в системе уже существует файл блокировки /var/lib/pacman/db.lck и как вам написано в сообщении, для устранения проблемы удалите этот самый файл:
sudo rm /var/lib/pacman/db.lck

После удаления репозитории синхронизируются и есть вероятность того, что с момента выхода скачанной вами версии некоторые ключи, которыми подписаны пакеты уже устарели и вы столкнетесь с ошибкой вида:
ошибка: libpulse: signature from «Rob McCathie <korrode@gmail.com>» is unknown trust
:: Файл /var/cache/pacman/pkg/libpulse-5.0-1.1-x86_64.pkg.tar.xz поврежден (неверный или поврежденный пакет(PGP-подпись)).
Хотите его удалить? [Y/n] y
ошибка: jasper: signature from «Rob McCathie <korrode@gmail.com>» is unknown trust
:: Файл /var/cache/pacman/pkg/jasper-1.900.1-12.10-x86_64.pkg.tar.xz поврежден (неверный или поврежденный пакет(PGP-подпись)).
Хотите его удалить? [Y/n] y
ошибка: lib32-libpulse: signature from «Rob McCathie <korrode@gmail.com>» is unknown trust
:: Файл /var/cache/pacman/pkg/lib32-libpulse-5.0-1.1-x86_64.pkg.tar.xz поврежден (неверный или поврежденный пакет(PGP-подпись)).
Хотите его удалить? [Y/n] y
ошибка: pulseaudio: signature from «Rob McCathie <korrode@gmail.com>» is unknown trust
:: Файл /var/cache/pacman/pkg/pulseaudio-5.0-1.1-x86_64.pkg.tar.xz поврежден (неверный или поврежденный пакет(PGP-подпись))

Для решения этой проблемы достаточно установить пару пакетов свежих ключей:
sudo pacman-key --init

sudo pacman-key --populate archlinux manjaro


Убираем прерывания(tearing) в KDE
Если есть правим если нет создаем и правим файл
sudo nano /etc/profile.d/kwin.sh

добавляем в него две строчки
export __GL_SYNC_TO_VBLANK=1
export __GL_YIELD=USLEEP

Спасибо:

за исправления и замечания уважаемому Doaxan
за дополнения и поправки к статье уважаемому dimonmmk

Написал о наиболее часто задаваемых вопросах. Статья будет дополняться. С дополнениями и пожеланиями прошу в комментарии или ЛС. Всем Добра.

122 комментария

avatar
Всем добрый день! Проблема с установкой, A start job is running for LiveMedia MHWD script (xs/no limit), проц i5 видео gtx950, разные варианты запуска не помогли.
Последний раз редактировалось
0
avatar
A start job is running for LiveMedia MHWD script (xs/no limit)
Это на каком этапе происходит?
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
В самом начале установки.
nomodeset i915.modeset=0 nouveau.modeset=0 проходит этот этап, но зависает на Started Accounts Service
Последний раз редактировалось
0
avatar
То есть когда вы только начали загружаться с флешки? Или когда уже загрузились в лайв-режиме и запускаете с ярлыка установку?
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
До лайв режима не доходит, в начале загрузки.
Последний раз редактировалось
0
avatar

До этого экрана грузится, дальше сбой, так?
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
1.from boot menu press «E» on the keyboard on the first boot item in the list.
2. add this to the end of the line: xdriver=mesa
3. press Enter to boot to the Manjaro environment
4. install the manjaro (do not get mad if your laptop fan starts working hard)
5. reboot after installation complete.
6. if you were able to boot into installed manjaro, ok then, everything is working. but if you were not, follow steps forward

Без изменений.
Немного не понял, как делать дальше, прошу, подскажите…
0
avatar

Допишите xdriver=mesа
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Это делал, итог, зависает на Started Accounts Service
upd Сейчас еще раз попробовал, опять ошибка LiveMedia MHWD script
Последний раз редактировалось
0
avatar
с 16.хх версией у некоторых возникают странные проблемы. Вам, видимо, тоже «повезло». Возьмите другой исошник sourceforge.net/projects/manjarolinux/files/archive/
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Уже записываю 17.0 и качаю 15.12 =) По итогам напишу, спасибо!
0
avatar
17.0 без изменений
0
avatar
Видеокарту можно вытащить? Интегрированная есть?
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
msi gl72, видео nvidia gtx 950 и intel HD соответственно, вытащить не получиться.
Последний раз редактировалось
0
avatar
На 17.0 попробуйте поиграться с опциями загрузки.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Доброго всем дня. Очень интересует такой вопрос: Есть у возможность по этапного обновления системы? Допустим так, сегодня обновил одни пакеты, завтра или через неделю другие, или есть другие возможности. Данный вопрос для меня очень актуальный. Буду рад любой информации.
0
avatar
в памаке можете поставить галки на пакеты которые хотите обновить, а c остальных убирайте, потом другие пакеты…
а в чем актуальность? E вас трафик лимитирован по по типу N мегабайт в день?
?

clock for blog
0
avatar
Да, к сожалению трафик лимитирован по 500 мб/день, прошу не указывать на то что интернет Г* в эпоху интернета, я все прекрасно понимаю, но как говорится имеем то что имеем. Спасибо за ответ, а не могли бы подсказать консольный вариант, иксов нету, голая консоль. Спасибо.
0
avatar
?

clock for blog
0
avatar
Спасибо большое, я эту статью читал 2 раза, и первый источник куда я обратился, я не понимаю как я мог это пропустить, видимо настолько был ослеплен проблемой что был невнимателен. Спасибо и простите что потратил Ваше время.
0
avatar
Много лет на тарифе от Мегафона — больше 100 мб в сутки включают ограничение до 64 кбит/сек, через терминал система обновляется нормально с 0.8.5 доехал до 16.8. Закачивал сразу — метров по семсот, этот лис огненный — каждую неделю новый, как что то тупить начинает обновляю систему через терминал, что б не было соблазна что то не обновлять.
0
avatar
Я впечатлен Manjaro Xfce. Из «коробки» — звук отличный, (не все линуксы пробовал) впервые вижу такой качественный звук без своих настроек. Спасибо разработчикам и всем кто участвовал и участвует в этом проекте!
+1
avatar
При установке в Manjaro 17 XFCE плеера Audacious происходит следующее:
При нажатии, к примеру, в Transmission «Открыть папку с файлом» открывается не Thunar, a Audacious с ошибкой.
Решение нашел такое:
В файле /usr/share/applications/mimeinfo.cache находим строку
inode/directory=...
удаляем лишнее и приводим к виду
inode/directory=Thunar-folder-handler.desktop;
Последний раз редактировалось
0
avatar
Вопрос новичка к Создателям XFCE 17 64 бит. Каждые 10 минут система просит ввести пароль ( в самой системе ничего не происходит — все открытые приложения в работе, ничего не исчезает ), музыку послушать или кино посмотреть не реально, такое ощущение — кто то закрывает шторкой экран монитора и просит ввести пароль. После введения пароля звук и видео стартуют с места остановки. Пока мышъ в движении никто пароль не просит. XFCE 0.8.5 32 бита тихо доехала до XFCE 16.8 и выше не обновлялась — не смогла.
0
avatar
Отключи блокировку экрана.

Последний раз редактировалось
0
avatar
Спасибо! Сделал как на картинке — проблемма исчезла. Система англоязычная начиная с 0.8.5 и в этот менеджер питания не заходил ни разу, видимо это " никогда " стояло там по умолчанию.
0
avatar
не стыдно тебе?
+1
avatar
Исправьте:
После чего выполняем полный апдейт системы:
<code>sudo pacman -Syyuu</code>
man 8 pacman:

SYNC OPTIONS

-u, --sysupgrade

Pass this option twice to enable package downgrades;
...
0
avatar
-Syu Сравнение индексов локальной базы и базы репозитория, при необходимости синхронизация баз, обновление устаревших пакетов.
-Syyu Принудительная синхронизация локальной базы с базой репозитория, обновление устаревших пакетов.
-Syyuu Принудительная синхронизация локальной базы с базой репозитория, обновление устаревших пакетов, откат всех пакетов с версией более свежей чем в репозитории до версии из репозитория.

Как локальная версия может оказаться новее чем в репах? Например, это случается когда с тестовой ветки переключаются в стабильную. Или когда пакет, ранее установленный из AUR, попадает в основной репозиторий Manjaro. Тогда опция -uu полезна для исключения конфликта версий, а также для поддержания общей целостности системы. В случае отсутствия таких «слишком новых» пакетов второе «u» в опциях на процесс обновления никак не влияет.
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Молодец. Тем не менее, двойная «u» не нужна при рядовом обновлении.

Или когда пакет, ранее установленный из AUR, попадает в основной репозиторий Manjaro.
При этом номер версии и релиза не понижается.
Последний раз редактировалось
0
avatar
Топикстартер поправит свой пост, если захочет. Но я бы не стал.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
При этом номер версии и релиза не понижается.
Иногда понижается. Манжаро не все подряд ташит из Арча, некоторые новые пакеты собираются самостоятельно, версии их бывают ниже чем в АУРе.
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
В общем, прошу исправить, потому что нигде в англоязычном сегменте (а именно возьмём оф. вики) не встречается подобной рекомендации по обновлению (ни Манжаро, ни Арча), единственное применение которой откат с тестинга на стабл. А тут бац русские ребята сотворили теорию по «поддержанию общей целостности системы» :)
Последний раз редактировалось
0
avatar
Манжаро- не Арч. Здесь свой репозиторий. И иногда случаются нестыковки с арчевским. Время от времени ловлю сообщение «пакет имеет более новую версию чем в репозитории» на системах где никогда не переходили с ветки на ветку. А поддержка новичков куда проще когда версии пакетов известны.
Теорией здесь и не пахло никогда- это голимая практика.
Русские ребята тут при чем? На центральном форуме Манжаро такая рекомендация постоянно встречается. И чего у Вас на английской Вики свет клином сошелся… Манжаро родом из Франции, Австрии и Германии, на минуточку.
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Доброго времени суток.
Думал стать, счастливым пользователем сборки Manjaro Deepin. Но сбыться этому не суждено. Система категорически отказывается работать сразу после установки первых обновлений, которые сама же и предлагает. Напрочь слетает Дисплей Менеджер.
Даже чистый Арч со своей командной строкой был со мной более дружелюбен.
Печальбеда, мда…
0
avatar
сборочные Manjaro они такие
тем более Deepin, который очень сырой, дистрибутив с которым поддерживают 1,5 человека, и который только внешним видом, разве что отличается.
есть же куча нормальных, стабильных и настраиваемых DE и WM.
не для холивара, просто интересно чем, приглянулся Deepin
мне показалось, — это разновидность гном3, не более того.
0
avatar
Manjaro Deepin приглянулся мне всемозвомжными красотами и чудесами, в виде рабочего окружения и прочих благ — AUR например. Хвалебные оды данной разработке воспевал один из авторов Ютуба. И по доверчивости своей неудержимой, со свежеустановленного и рабочего Арча взял и соскочил на Manjaro. О чём сейчас жалею.
Рабочее окружение действительно очень попахивает Гномом.
P.S. Для меня стало откровением, что Manjaro Deepin не имеет отношения к официальной Manjaro.
Последний раз редактировалось
0
avatar
)) AUR во всех Manjaro из коробки.
а вот что со свежеустановленного и рабочего Арча взял и соскочил, действительно напрасно.
его нужно было просто доработать под свои вкусы и потребности.
0
avatar
Сборки — зло. Только портят людям жизнь. Есть же в репах все DE, куча WM- ставь на здоровье. Собственными руками. Нет, ставят готовую сборку, собранную чёрти-кем. А потом винят во всех косяках Манжаро…
Манжаро- это официальные XFCE&KDE. Все остальное чушь и самодеятельность.

Предлагаю эту простую, но великую истину занести в топик подчеркнутым болдом, 24м кеглем.
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
+2
avatar
А как же это? ВЫШЕЛ MANJARO 17.0.2 (G,K,X)
+1
avatar
После этого еще и Architect вышел, и что с того? Над ними всеми работала команда Manjaro, это официальные варианты. За их качество Manjaro отвечает своей репутацией.
А за многочисленные сборки «на основе» — нет, и не обязана.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
dimonmmk Тогда так -> «Манжаро — это официальные XFCE&KDE build'ы/сборки/дистрибутивы. Все остальное чушь и самодеятельность.»
Иначе создается впечатление, что Manjaro GNOME Edition «чушь и самодеятельность.» Я именно так и понял ваше сообщение.
0
avatar
Согласен, так и есть.
Просто на момент написания поста вариант Manjaro с оболочкой Gnome ещё не входил в число официальных дистрибутивов Manjaro.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Community релизы — это тоже зло?
Тем более, судя по количеству загрузок Community, людям это нужно!
мою сборку за сегодня 9 раз скачали, а за июнь 127 загрузок. Учитывая узкую специализацию моей сборки, показатель тоже немалый.
?
СкаженЭ КотЭ в кедах =(^_^)=
KDE-Minimal Setting-Up
0
avatar
Community релизы — это тоже зло?
Да. Собственно, о них и речь.
судя по количеству загрузок Community, людям это нужно!
судя по общему количеству загрузок, Internet is for PORN!!
мою сборку за сегодня 9 раз скачали
Еще девять назгулов, Саурон?
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Джентельмены и дамы, позвольте обратить внимание на этот глюк. Кмк, если он проявился больше. Чем у одного человека — это уже не глюк, а баг ;-)
manjaro.ru/blog/manjaro-xfce-edition/oshibka-ustanovki.html#!prettyPhoto
0
avatar
fp "… а у некоторых уже на этом этапе трещат пуканы..."
собственно зашёл узнать про 1,5 дипиновских землекопа, по дороге попалось "… также сразу висла на 'Failed to load ldlinux.c32'...",- косяк syslinux
<code>Users should rather (manually -O ^64bit ) disable the 64bit feature in the mke2fs command when creating / formatting a boot volume with ext4; otherwise, the bootloader (as of version 6.03) will fail. </code>
HowTo Syslinux
0
avatar
Здравствуйте.
Подскажите как установить драйвер для WiFi (MT7630e) после установки Manjaro без подключения к интернету.
Последний раз редактировалось
0
avatar
Убираем прерывания(tearing) в KDE
Если есть правим если нет создаем и правим файл

sudo nano /etc/profile.d/kwin.sh

добавляем в него две строчки

export __GL_SYNC_TO_VBLANK=1
export __GL_YIELD=USLEEP
на manjaro 17.0.4 KDE этот способ либо не работает, либо прописывать надо в другое место, либо что-то ещё?
Либо не работает для старых видеокарт nVidia (GT240 у меня)…
Помогло убрать разрывы кадров добавление в конфиге видеокарты ForceFullCompositionPipeline (т.к. в интерфейсе настроек XServer подобного чекбокса не было). Хотя в видео на youtube в 60 фпс разрывы всё равно редко, но проскакивают
code!

просто ForceCompositionPipeline без Full у меня тоже не сработало.
Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option "metamodes" "nvidia-auto-select +0+0 { ForceFullCompositionPipeline = On }"
    Option         "TripleBuffer" "on"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection


PS: подписать Ctrl+Q на цитирование в комментариях — хорошая шутка :)
UPD: в Firefox принудительно включил HW_COMPOSITING, и вроде разрывы кадра для 60фпс в браузере совсем пропали. >_>
Ещё для верности прописал включение тройной буферизации как советовали в арч-вики:
«TripleBuffer» «on» в /etc/X11/mhwd.d/nvidia.conf (пример выше)
и
export KWIN_TRIPLE_BUFFER=1 в /etc/profile.d/kwin.sh
и при этом обязательно удалить (или закомментировать #) строчку с «export __GL_YIELD=USLEEP»
и перезагрузиться… два раза… для верности
Последний раз редактировалось
+1
avatar
UPD:
видимо на самом деле в моём случае полностью решала проблему тройная буферизация, а не ForceFullCompositionPipeline (либо это результат обновившихся драйверов).
когда в nvidia-settings снова сохранил настройки с объединением существующего файла, в нём строчка появилась
# Removed Option "metamodes" "nvidia-auto-select +0+0 { ForceFullCompositionPipeline = On }"

то есть настройка удалилась. Но тиринг при этом не появился нигде.

Ещё в nvidia-settings не сохраняются настройки Color Controls. Мне нужно было изменить Color Range для RGB на Limited, но после перезагрузки настройка применялась только после запуска nvidia-settings (там же настройки не сбрасывались), а при закрытии сохранялась только в течении сессии.
Этим управляет xrandr, соответственно нужно поменять его настройки, в терминале:
$ xrandr --output HDMI0 --set "Broadcast RGB" "Limited"

номер HDMI смотрим в выводе $ xrandr
Последний раз редактировалось
0
avatar
Последний раз редактировалось
0
avatar
Хотите его удалить? [Y/n]
Y
0
avatar
Последний раз редактировалось
0
avatar
<code>sudo rm /var/cache/pacman/pkg/udiskie-1.7.1-1-any.pkg.tar.xz</code>
0
avatar
Последний раз редактировалось
0
avatar
Последний раз редактировалось
+1
avatar
Добавлю решение от Команды разработчиков

<code>sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh</code>
0
avatar
Последний раз редактировалось
+3
avatar
После установки и перезагрузки по экрану бегут зелёные ОКИ и вдруг проскачила красная строчка ( Failed unmounting и каляка маляка...) Думал потому что диск не вынул и перезагрузил… Пробовал вынимать диск с ОС и перезагружать но меню ПУСК пропало ( тоже странно)… А вот Минт всегда сам после установки выплёвывает Диск и просит нажать ЭнтЭр
0
avatar
Как в Manjaro установить rpm-пакет? Скачал rpm-пакет Google Chrome с официального сайта, но так и не смог установить. На Ubuntu скачал deb-пакет и через gdebi просто установил — никаких сложностей. В Manjaro никак не могу понять, как установить браузер.
0
avatar
Типовая проблема новичка.
«Скачал и просто установил», фигасе просто.
Забудьте.
В терминале yaourt google-chrome — гораздо проще.

Спойлер! Вот так примерно

[mmk@tal02 ~]$ yaourt google-chrome
1 aur/chromedriver-dev 2.36-1 (0) (0,00)
    Standalone server which implements WebDriver's wire protocol (for 
    google-chrome-dev)
2 aur/google-chrome 65.0.3325.146-1 (1670) (32,88)
    The popular and trusted web browser by Google (Stable Channel)
3 aur/google-chrome-beta 65.0.3325.124-1 (337) (2,77)
    The popular and trusted web browser by Google (Beta Channel)
4 aur/google-chrome-dev 66.0.3359.26-1 (615) (2,57)
    The popular and trusted web browser by Google (Dev Channel)
==> Введите номера пакетов для установки (например, 1 2 3 или 1-3)
==> --------------------------------------------------------------
==> 4   


==> Загрузка PKGBUILD google-chrome-dev из AUR...
x .SRCINFO
x PKGBUILD
x eula_text.html
x google-chrome-dev.install
x google-chrome-unstable.sh
denixx commented on 2017-11-29 13:34			 
@dsifford Thanks for suggestion, though. :)

Det commented on 2018-01-04 23:20			 

Det commented on 2018-01-09 20:07			 

sanerb commented on 2018-01-22 09:46			 

Det commented on 2018-01-22 10:05			 

google-chrome-dev 66.0.3359.26-1  (2018-03-12 19:41)
( Неподдерживаемый пакет: Потенциально опасен ! )
==> Отредактировать PKGBUILD ? Да/нет [Y/n] ("A" для отмены)
==> --------------------------------------------------------
==> n

==> зависимости google-chrome-dev:
 - alsa-lib (уже установлен)
 - gconf (уже установлен)
 - gtk3 (уже установлен)
 - libcups (уже установлен)
 - libxss (уже установлен)
 - libxtst (уже установлен)
 - nss (уже установлен)


==> Отредактировать google-chrome-dev.install ? Да/нет [Y/n] ("A" для отмены)
==> -------------------------------------------------------------------------
==> n

==> Продолжить сборку google-chrome-dev ? Да/нет [Y/n]
==> --------------------------------------------------
==> y

==> Сборка и установка пакета
==> Сборка пакета google-chrome-dev 66.0.3359.26-1 (Вт мар 13 11:12:21 MSK 2018)
==> Проверка зависимостей для запуска...
==> Проверка зависимостей для сборки...
==> Получение исходных файлов...
  -> Загрузка google-chrome-unstable_66.0.3359.26_amd64.deb...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 50.7M  100 50.7M    0     0    99k      0  0:08:43  0:08:43 --:--:--  118k
  -> Найден eula_text.html
  -> Найден google-chrome-unstable.sh
==> Проверка файлов source с использованием md5sums...
    google-chrome-unstable_66.0.3359.26_amd64.deb ... Готово
    eula_text.html ... Готово
    google-chrome-unstable.sh ... Готово
==> Распаковка исходных файлов...
  -> Распаковка 'google-chrome-unstable_66.0.3359.26_amd64.deb' с помощью bsdtar
==> Вход в окружение fakeroot...
==> Запускается package()...
  -> Extracting the data.tar.xz...
  -> Moving stuff in place...
  -> Fixing Chrome icon resolution...
  -> Removing Debian Cron job and duplicate product logos...
==> Очистка...
  -> Удаление пустых директорий...
  -> Удаление файлов libtool...
  -> Удаление ненужных файлов...
  -> Удаление статических библиотек...
  -> Сжатие документации (man и info)...
==> Checking for packaging issue...
==> Создание пакета "google-chrome-dev"...
  -> Создание файла '.PKGINFO'...
  -> Создание файла '.BUILDINFO'...
  -> Добавление файла 'install'...
  -> Создание файла '.MTREE'...
  -> Сжатие пакета...
==> Выход из окружения fakeroot.
==> Завершена сборка пакета google-chrome-dev 66.0.3359.26-1 (Вт мар 13 11:22:14 MSK 2018)
==> Очистка...
==> Экспорт google-chrome-dev в директорию /var/cache/pacman/pkg/
[sudo] пароль для mmk: 
[sudo] пароль для mmk: 
'/tmp/yaourt-tmp-mmk/PKGDEST.Px3/google-chrome-dev-66.0.3359.26-1-x86_64.pkg.tar.xz' -> '/var/cache/pacman/pkg/google-chrome-dev-66.0.3359.26-1-x86_64.pkg.tar.xz'

==> Продолжить установку google-chrome-dev ? Да/нет [Y/n]
==> [v]просмотреть содержимое пакета [c]проверить пакет при помощи namcap
==> ---------------------------------------------------------------------
==> y

загрузка пакетов...
разрешение зависимостей...
проверка конфликтов...

Пакеты (1) google-chrome-dev-66.0.3359.26-1

Будет установлено:  183,94 MiB

:: Приступить к установке? [Y/n] y
(1/1) проверка ключей                              [##########################] 100%
(1/1) проверяется целостность пакета               [##########################] 100%
(1/1) загрузка файлов пакетов                      [##########################] 100%
(1/1) проверка конфликтов файлов                   [##########################] 100%
(1/1) проверяется доступное место                  [##########################] 100%
:: Обработка изменений пакета...
(1/1) установка google-chrome-dev                  [##########################] 100%
==> NOTE: Custom flags should be put directly in: ~/.config/chrome-dev-flags.conf
==> NOTE: The launcher is called: 'google-chrome-unstable'
Дополнительные зависимости для 'google-chrome-dev'
    kdialog: for file dialogs in KDE
    gnome-keyring: for storing passwords in GNOME keyring [установлено]
    kwallet: for storing passwords in KWallet [установлено]
    gtk3-print-backends: for printing [установлено]
    libunity: for download progress on KDE
    ttf-liberation: fix fonts for some PDFs (CRBug #369991) [установлено]
    xdg-utils [установлено]
:: Работа послеоперационных перехватов...
(1/3) Updating icon theme caches...
(2/3) Arming ConditionNeedsUpdate...
(3/3) Updating the desktop file MIME type cache...
[mmk@tal02 ~]$ 

Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
если лениво\сложно\«нипанятна» через терминал, то установите через pamac. хром давно есть в оф.репозиториях.
?
Ален нови, ностра алис! Что означает — ежели один человек построил, другой завсегда разобрать может.
0
avatar
Это в каком репозитории и в какой ветке 64й хром? В стабильной нету, только в АУРе 65й и 66й..
Обновляться Вам пора, однако.
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
как раз в stable 64-ый и есть, а в AUR 65 beta & 66 dev


обновляюсь регулярно. =)
?
Ален нови, ностра алис! Что означает — ежели один человек построил, другой завсегда разобрать может.
0
avatar
как раз в stable 64-ый и есть
И в какой репе у тебя 64-я версия?
?
Arch Linux x86_64
0
avatar
видимо действительно я его из AUR-а ставил, ибо pacman -Si сказал, что няма такого. =)


погорячился, признаю неправоту. =)
?
Ален нови, ностра алис! Что означает — ежели один человек построил, другой завсегда разобрать может.
0
avatar
Pamac настройте

Может еще что необновленное обнаружится.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
не, здесь все в порядке и настраивается первым делом.
?
Ален нови, ностра алис! Что означает — ежели один человек построил, другой завсегда разобрать может.
0
avatar
Доброго времени!
Вот решил перебраться на Manjari Deepin.
Но вот незадача...
Процесс установки доходит до 78% configure the hardware.
И все как-будто замерло. Минут 20 ждал, но ничего не произошло.
Что не так??? Помогите!)
0
avatar
Установил систему. Загружаю её, и она выдаёт окноидентификации. Я ввожу пароль. После ввода пароля появляется фоновый рисунок и курсор мышки. После этого вообще ничего не происходит, можно только мышкой по экрану водить. Подскажите пожалуйста, как исправить эту ошибку. В ноутбуке есть и интегрированая и дискретная графика.
0
avatar
Описанную вами проблему, я видел неделю назад, своими глазами, когда переустановив себе дистрибутив — при установке не указал форматировать раздел, куда монтировал свой /home.
Возможно, это вам как-то поможет.
Последний раз редактировалось
0
avatar
Спасибо, сейчас попробую
0
avatar
Попытался установить на флешку Manjaro XFCE (скачал с официального сайта образ) используя установщик Universal-USB-Installer-1.9.8.1

kali-linux-2018.2-amd64 этим установщиком поставился без проблем, а манжаро в окончании установки выдает сообщение о том что не может найти конфигурационный файл. Если попытаться загрузиться с этой флешки то ничего не выйдет
Последний раз редактировалось
0
avatar
Если из под Windows, то я писал образ с помощью Rufus rufus.akeo.ie/ ставил потом нормально. unetbootin не справился.
0
avatar
Захотелось попробовать. Скачал образ( качал официальный и с форума). Пробовал разные варианты рабочих столов и КДЕ и Деепин, везде одно и тоже, не записывается на жесткий диск. Устанавливал на этот же диск Минт, ставится. Определил что нет записи на диск, когда примерно на 50-75 процентах установки пропала сеть(lan). Затем долго стояла на 93 процентах(около 20мин) Когда все же закончилась установка, то запустить «установленную» систему не возможно, пишет нет Ядра, и большая чать папок в / и home разделах не установлена, могу сбросить конфигурацию если есть в этом не обходимость. Арко установился сразу.
Последний раз редактировалось
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.